﻿using Infragistics;
using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataChartMultipleAxisScatterPlotDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ViewModel vm = new ViewModel();

            XamDataChart chart = new XamDataChart();

            NumericXAxis xAxis = new NumericXAxis();

            NumericYAxis leftYAxis = new NumericYAxis()
            {
                MinimumValue = 0,
                MaximumValue = 50
            };

            NumericYAxis rightYAxis = new NumericYAxis()
            {
                MinimumValue = 0,
                MaximumValue = 100,
                LabelSettings = new AxisLabelSettings() { Location = AxisLabelsLocation.OutsideRight }
            };

            ScatterSeries series1 = new ScatterSeries()
            {
                XAxis = xAxis,
                YAxis = leftYAxis,
                ItemsSource = vm.Data,
                XMemberPath = "XValue",
                YMemberPath = "YValue1"
            };

            ScatterSeries series2 = new ScatterSeries()
            {
                XAxis = xAxis,
                YAxis = leftYAxis,
                ItemsSource = vm.Data,
                XMemberPath = "XValue",
                YMemberPath = "YValue2"
            };


            chart.Axes.Add(xAxis);
            chart.Axes.Add(leftYAxis);
            chart.Axes.Add(rightYAxis);

            chart.Series.Add(series1);
            chart.Series.Add(series2);

            layoutRoot.Children.Add(chart);
        }
    }
}
